# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'deanswerify/version'

Gem::Specification.new do |spec|
  spec.name          = "deanswerify"
  spec.version       = Deanswerify::VERSION
  spec.authors       = ["Nathan Houle"]
  spec.email         = ["nathan@nathanhoule.com"]
  spec.description   = %q{Simple solution removal for programming exercises}
  spec.summary       = %q{deanswerify removes all /* SOLUTION */ <code> /* END SOLUTION */ blocks from a git repository.}
  spec.homepage      = "https://github.com/ndhoule/deanswerify"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rspec", "~> 2.13.0"
  spec.add_development_dependency "rake"
end
